Name:           libopensync-plugin-evolution2
Version:        0.22
Release:        1%{?dist}
Summary:        Evolution 2 plugin for libopensync

Group:          System Environment/Libraries
License:        GPL
URL:            http://www.opensync.org
# see http://www.opensync.org/wiki/download
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel
BuildRequires:  evolution-data-server-devel

%description
%{summary}

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libopensync-devel

%description    devel
The %{name}-devel package contains the files
needed for development with %{name}.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/opensync/plugins/evo2_sync.so
%{_datadir}/opensync/defaults/evo2-sync

%files devel
%defattr(-,root,root,-)
%{_includedir}/opensync-1.0/opensync/evo2_sync.h

%changelog
* Wed Apr 25 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.22-1
- version upgrade

* Wed Dec 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.20-1
- version upgrade

* Fri Oct 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.19-1
- version upgrade

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-6
- Rebuild for Fedora Extras 5

* Wed Feb 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-5
- bump release

* Wed Jan 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-4
- bump release

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-3
- add dist

* Tue Dec 13 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-2
- add missing BR

* Fri Nov 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 0.18-1
- initial version
